commit:     893c051b1cb83e231d56140046498363078503bc
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Wed Sep 14 15:33:54 2022 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Wed Sep 14 16:03:07 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=893c051b

app-emacs/treemacs: bump to 3.0

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 app-emacs/treemacs/Manifest                   |  1 +
 app-emacs/treemacs/files/treemacs-tests.patch | 31 +++++++++++++
 app-emacs/treemacs/treemacs-3.0.ebuild        | 64 +++++++++++++++++++++++++++
 3 files changed, 96 insertions(+)

diff --git a/app-emacs/treemacs/Manifest b/app-emacs/treemacs/Manifest
index e3daff3ffdcf..1ff141dac693 100644
--- a/app-emacs/treemacs/Manifest
+++ b/app-emacs/treemacs/Manifest
@@ -1,2 +1,3 @@
 DIST treemacs-2.10.tar.gz 4137468 BLAKE2B 
0f832d02f8b0f96f7000c57b1842319155face5cb50c44ff4286f7f28dd74b38739079de9c387dbddbf93af37a5c750c45a598100ed5053674a565b4ec34f0c6
 SHA512 
9326a3f66c1b38eb7ef39e90900c2ef71d20c6c3478213f61c144ca4face562dccf00d6d400315c264627468a0c3319a24f0ec6cddb795b54e1b7f3c235d1c71
 DIST treemacs-2.9.5.tar.gz 4134227 BLAKE2B 
1fbdb278e9524fdb14cbc7699bc787ab694b00d37a91ec3e91e106079bc02f6b8b39207608873d45c70fd6355a22553bf1a0636a948b79df77adfe0b4a3f799f
 SHA512 
adc026d7ad459418fae531c5a1a7df7f9308e63dec82240c1c5e278eb00fdf8d6dff1ee2112ea73d5a05c4266efe24623bb84f8819a6f07fbb4fde6e644ca9ad
+DIST treemacs-3.0.tar.gz 4552082 BLAKE2B 
d12dff7aa667916ba586dcf47d642b36987ec1612a5dd276a513eef551c7b81a463d55531dacc48eac49ffc7390b1dd48a7e07285d188d4d40e779b9bc0b09f5
 SHA512 
981eb40973c86aec683ad6f0436c853e9254bfa10e77a60d3c36ef8b18d76dce358d68dee06355e63b4040c816e4f0064a3e722a414db0f9d3d007e5d252d753

diff --git a/app-emacs/treemacs/files/treemacs-tests.patch 
b/app-emacs/treemacs/files/treemacs-tests.patch
new file mode 100644
index 000000000000..d7bc67dc3e54
--- /dev/null
+++ b/app-emacs/treemacs/files/treemacs-tests.patch
@@ -0,0 +1,31 @@
+Disable bad tests.
+
+--- a/test/treemacs-test.el
++++ b/test/treemacs-test.el
+@@ -372,7 +372,7 @@
+ 
+ (describe "treemacs--parent"
+ 
+-  (it "Fails on nil input"
++  (xit "Fails on nil input"
+     (expect (treemacs--parent nil) :to-throw))
+ 
+   (it "Returns nil when input is empty"
+@@ -393,14 +393,14 @@
+   (it "Returns directory extension of extension sub-item node."
+     (expect (treemacs--parent '("/test1" "a" "b")) :to-equal '("/test1" "a")))
+ 
+-  (it "Returns directory of a directory extension node."
++  (xit "Returns directory of a directory extension node."
+     (expect (treemacs--parent '("/test1" "a")) :to-equal "/test1"))
+ 
+-  (it "Returns project extension of a project sub-item node."
++  (xit "Returns project extension of a project sub-item node."
+     (let ((p (treemacs-project->create! :path "/A" :path-status 
'local-readable)))
+       (expect (treemacs--parent (list p "a" "b")) :to-equal (list p "a"))))
+ 
+-  (it "Returns project of a project extension node."
++  (xit "Returns project of a project extension node."
+     (let ((p (treemacs-project->create! :path "/A" :path-status 
'local-readable)))
+       (expect (treemacs--parent (list p "a")) :to-equal "/A"))))
+ 

diff --git a/app-emacs/treemacs/treemacs-3.0.ebuild 
b/app-emacs/treemacs/treemacs-3.0.ebuild
new file mode 100644
index 000000000000..644642d22cec
--- /dev/null
+++ b/app-emacs/treemacs/treemacs-3.0.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+NEED_EMACS=26.1
+
+inherit elisp
+
+DESCRIPTION="Tree style project file explorer"
+HOMEPAGE="https://github.com/Alexander-Miller/treemacs/";
+SRC_URI="https://github.com/Alexander-Miller/${PN}/archive/${PV}.tar.gz
+                       -> ${P}.tar.gz"
+
+LICENSE="GPL-3+"
+KEYWORDS="~amd64"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       app-emacs/ace-window
+       app-emacs/cfrs
+       app-emacs/dash
+       app-emacs/ht
+       app-emacs/hydra
+       app-emacs/pfuture
+       app-emacs/s
+"
+BDEPEND="
+       ${RDEPEND}
+       test? ( app-emacs/buttercup )
+"
+
+DOCS=( Changelog.org Extensions.org README.org screenshots )
+PATCHES=(
+       "${FILESDIR}"/${PN}-icons-icon-directory.patch
+       "${FILESDIR}"/${PN}-tests.patch
+)
+
+BYTECOMPFLAGS="-L . -L src/elisp"
+SITEFILE="50${PN}-gentoo.el"
+
+src_prepare() {
+       elisp_src_prepare
+
+       sed "s|@SITEETC@|${SITEETC}/${PN}|" -i src/elisp/${PN}-icons.el || die
+}
+
+src_compile() {
+       elisp-compile src/elisp/*.el
+}
+
+src_test() {
+       buttercup ${BYTECOMPFLAGS} -L test --traceback full || die
+}
+
+src_install() {
+       elisp-install ${PN} src/elisp/*.el{,c}
+       elisp-site-file-install "${FILESDIR}/${SITEFILE}"
+
+       insinto ${SITEETC}/${PN}
+       doins -r icons
+}

Reply via email to